{
    "post_op": [
        {
            "cmd": "pydeface --outfile dst_file src_file",
            "datatype": "anat",
            "suffix": [
                "T1w",
                "T2w"
            ]
        }
    ],
    "descriptions": [
        {
            "criteria": {
                "SeriesDescription": "T1w"
            },
            "datatype": "anat",
            "suffix": "T1w"
        },
        {
            "criteria": {
                "SeriesDescription": "T1w_PSIR"
            },
            "custom_entities": "acq-psir",
            "datatype": "anat",
            "suffix": "T1w"
        },
        {
            "criteria": {
                "SeriesDescription": "T2w"
            },
            "datatype": "anat",
            "suffix": "T2w"
        },
        {
            "criteria": {
                "SeriesDescription": "T2W_FFE"
            },
            "custom_entities": "acq-ffe",
            "datatype": "anat",
            "suffix": "T2w"
        },
        {
            "criteria": {
                "SeriesDescription": "T2W_TSE"
            },
            "custom_entities": "acq-tse",
            "datatype": "anat",
            "suffix": "T2w"
        },
        {
            "criteria": {
                "SeriesDescription": "FLAIR"
            },
            "datatype": "anat",
            "suffix": "FLAIR"
        },
        {
            "id": "task_rest",
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "Task_rest-bold",
                        "task-rest_bold"
                    ]
                }
            },
            "custom_entities": "task-rest",
            "datatype": "func",
            "suffix": "bold",
            "sidecar_changes": {
                "TaskName": "rest"
            }
        },
        {
            "id": "task_trends",
            "criteria": {
                "SeriesDescription": "task-trends_bold"
            },
            "custom_entities": "task-trends",
            "datatype": "func",
            "suffix": "bold",
            "sidecar_changes": {
                "TaskName": "trends"
            }
        },
        {
            "id": "task_vft",
            "criteria": {
                "SeriesDescription": "task-vft_bold"
            },
            "custom_entities": "task-vft",
            "datatype": "func",
            "suffix": "bold",
            "sidecar_changes": {
                "TaskName": "vft"
            }
        },
        {
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "REF_REST_SE_EPI_AP_SHORT",
                        "Ref_rest_AP"
                    ]
                }
            },
            "custom_entities": "acq-rest_dir-AP",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": "task_rest"
            }
        },
        {
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "REF_REST_SE_EPI_PA_SHORT",
                        "Ref_rest_PA"
                    ]
                }
            },
            "custom_entities": "acq-rest_dir-PA",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": "task_rest"
            }
        },
        {
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "REF_TRENDS_SE_EPI_AP_SHORT",
                        "Ref_TRENDS_AP"
                    ]
                }
            },
            "custom_entities": "acq-trends_dir-AP",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": "task_trends"
            }
        },
        {
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "REF_TRENDS_SE_EPI_PA_SHORT",
                        "Ref_TRENDS_PA"
                    ]
                }
            },
            "custom_entities": "acq-trends_dir-PA",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": "task_trends"
            }
        },
        {
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "REF_vft_SE_EPI_AP_SHORT",
                        "Ref_VFT_AP"
                    ]
                }
            },
            "custom_entities": "acq-vft_dir-AP",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": "task_vft"
            }
        },
        {
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "REF_vft_SE_EPI_PA_SHORT",
                        "Ref_VFT_PA"
                    ]
                }
            },
            "custom_entities": "acq-vft_dir-PA",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": "task_vft"
            }
        },
        {
            "id": "dki",
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "DKI",
                        "DKI_56slices_SHIM_PB_VOLUME"
                    ]
                }
            },
            "custom_entities": "acq-dki",
            "datatype": "dwi",
            "suffix": "dwi"
        },
        {
            "id": "dti",
            "criteria": {
                "SeriesDescription": "DTI"
            },
            "custom_entities": "acq-dti",
            "datatype": "dwi",
            "suffix": "dwi"
        },
        {
            "id": "dti06dir",
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "DTI_6dir",
                        "DTI_B500_6DIR"
                    ]
                }
            },
            "custom_entities": "acq-dti06dir",
            "datatype": "dwi",
            "suffix": "dwi"
        },
        {
            "id": "128dti",
            "criteria": {
                "SeriesDescription": "DTI_opt_128"
            },
            "custom_entities": "acq-128dti",
            "datatype": "dwi",
            "suffix": "dwi"
        },
        {
            "id": "128dti64dir",
            "criteria": {
                "SeriesDescription": "DTI_opt_128_64dir"
            },
            "custom_entities": "acq-128dti64dir",
            "datatype": "dwi",
            "suffix": "dwi"
        },
        {
            "id": "dti_lasi",
            "criteria": {
                "SeriesDescription": "DTI_LASI"
            },
            "custom_entities": "acq-lasi",
            "datatype": "dwi",
            "suffix": "dwi"
        },
        {
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "REF_DWI_SE_EPI_AP_SHORT",
                        "Ref_DWI_AP"
                    ]
                }
            },
            "custom_entities": "acq-dwi_dir-AP",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": [
                    "dki",
                    "dti",
                    "dti06dir",
                    "128dti",
                    "128dti64dir"
                ]
            }
        },
        {
            "criteria": {
                "SeriesDescription": {
                    "any": [
                        "REF_DWI_SE_EPI_PA_SHORT",
                        "Ref_DWI_PA"
                    ]
                }
            },
            "custom_entities": "acq-dwi_dir-PA",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": [
                    "dki",
                    "dti",
                    "dti06dir",
                    "128dti",
                    "128dti64dir"
                ]
            }
        },
        {
            "criteria": {
                "SeriesDescription": "DTI_LASI_AP"
            },
            "custom_entities": "acq-lasi_dir-AP",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": "dti_lasi"
            }
        },
        {
            "criteria": {
                "SeriesDescription": "DTI_LASI_PA"
            },
            "custom_entities": "acq-lasi_dir-PA",
            "datatype": "fmap",
            "suffix": "epi",
            "sidecar_changes": {
                "IntendedFor": "dti_lasi"
            }
        },
        {
            "criteria": {
                "EchoNumber": 1,
                "ImageType": [
                    "ORIGINAL",
                    "PRIMARY",
                    "M",
                    "FFE",
                    "M",
                    "FFE"
                ],
                "SeriesDescription": "fieldmap"
            },
            "custom_entities": "acq-fieldmap",
            "datatype": "fmap",
            "suffix": "magnitude1"
        },
        {
            "criteria": {
                "EchoNumber": 2,
                "ImageType": [
                    "ORIGINAL",
                    "PRIMARY",
                    "M",
                    "FFE",
                    "M",
                    "FFE"
                ],
                "SeriesDescription": "fieldmap"
            },
            "custom_entities": "acq-fieldmap",
            "datatype": "fmap",
            "suffix": "magnitude2"
        },
        {
            "criteria": {
                "EchoNumber": 1,
                "ImageType": [
                    "ORIGINAL",
                    "PRIMARY",
                    "PHASE MAP",
                    "P",
                    "FFE",
                    "PHASE"
                ],
                "SeriesDescription": "fieldmap"
            },
            "custom_entities": "acq-fieldmap",
            "datatype": "fmap",
            "suffix": "phase1"
        },
        {
            "criteria": {
                "EchoNumber": 2,
                "ImageType": [
                    "ORIGINAL",
                    "PRIMARY",
                    "PHASE MAP",
                    "P",
                    "FFE",
                    "PHASE"
                ],
                "SeriesDescription": "fieldmap"
            },
            "custom_entities": "acq-fieldmap",
            "datatype": "fmap",
            "suffix": "phase2"
        },
        {
            "criteria": {
                "EchoNumber": 1,
                "ImageType": {
                    "any": [
                        [
                            "ORIGINAL",
                            "PRIMARY",
                            "T1",
                            "MIXED"
                        ],
                        [
                            "ORIGINAL",
                            "PRIMARY",
                            "M",
                            "FFE",
                            "M",
                            "FFE"
                        ]
                    ]
                },
                "SeriesDescription": "B0 map"
            },
            "custom_entities": "acq-B0map",
            "datatype": "fmap",
            "suffix": "magnitude1"
        },
        {
            "criteria": {
                "EchoNumber": 2,
                "ImageType": {
                    "any": [
                        [
                            "ORIGINAL",
                            "PRIMARY",
                            "T1",
                            "MIXED"
                        ],
                        [
                            "ORIGINAL",
                            "PRIMARY",
                            "M",
                            "FFE",
                            "M",
                            "FFE"
                        ]
                    ]
                },
                "SeriesDescription": "B0 map"
            },
            "custom_entities": "acq-B0map",
            "datatype": "fmap",
            "suffix": "magnitude2"
        },
        {
            "criteria": {
                "EchoNumber": 1,
                "ImageType": {
                    "any": [
                        [
                            "ORIGINAL",
                            "PRIMARY",
                            "T1",
                            "MIXED",
                            "PHASE"
                        ],
                        [
                            "ORIGINAL",
                            "PRIMARY",
                            "PHASE MAP",
                            "P",
                            "FFE",
                            "PHASE"
                        ]
                    ]
                },
                "SeriesDescription": "B0 map"
            },
            "custom_entities": "acq-B0map",
            "datatype": "fmap",
            "suffix": "phase1"
        },
        {
            "criteria": {
                "EchoNumber": 2,
                "ImageType": {
                    "any": [
                        [
                            "ORIGINAL",
                            "PRIMARY",
                            "T1",
                            "MIXED",
                            "PHASE"
                        ],
                        [
                            "ORIGINAL",
                            "PRIMARY",
                            "PHASE MAP",
                            "P",
                            "FFE",
                            "PHASE"
                        ]
                    ]
                },
                "SeriesDescription": "B0 map"
            },
            "custom_entities": "acq-B0map",
            "datatype": "fmap",
            "suffix": "phase2"
        }
    ]
}
